aboutsummaryrefslogtreecommitdiff
path: root/multimedia/qdvdauthor
diff options
context:
space:
mode:
authorRoland Suchan <snrd@arcor.de>2024-07-19 23:34:50 +0000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2024-07-20 08:05:34 +0700
commitd8197a06fb724df624042e7229e2df521d39d966 (patch)
tree5d69c1b0969b0ed097420918489f7e565def3300 /multimedia/qdvdauthor
parent1b300973f3de66d34fff3aae13d3376c5f6b593e (diff)
multimedia/qdvdauthor: Added (GUI frontend for dvdauthor).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/qdvdauthor')
-rw-r--r--multimedia/qdvdauthor/README4
-rw-r--r--multimedia/qdvdauthor/doinst.sh3
-rw-r--r--multimedia/qdvdauthor/qdvdauthor.SlackBuild112
-rw-r--r--multimedia/qdvdauthor/qdvdauthor.info18
-rw-r--r--multimedia/qdvdauthor/slack-desc19
5 files changed, 156 insertions, 0 deletions
diff --git a/multimedia/qdvdauthor/README b/multimedia/qdvdauthor/README
new file mode 100644
index 0000000000000..90c9708c20ea2
--- /dev/null
+++ b/multimedia/qdvdauthor/README
@@ -0,0 +1,4 @@
+qdvdauthor is a complete solution for DVD authoring and creation
+of slide-show on DVD.
+
+This requires dvdauthor, mjpegtools, vlc, xine-lib, xine-ui, MPlayer.
diff --git a/multimedia/qdvdauthor/doinst.sh b/multimedia/qdvdauthor/doinst.sh
new file mode 100644
index 0000000000000..5fb28930db0b9
--- /dev/null
+++ b/multimedia/qdvdauthor/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/qdvdauthor/qdvdauthor.SlackBuild b/multimedia/qdvdauthor/qdvdauthor.SlackBuild
new file mode 100644
index 0000000000000..efd45c6bbad06
--- /dev/null
+++ b/multimedia/qdvdauthor/qdvdauthor.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for qdvdauthor
+
+# Written by Roland Suchan (snrd@arcor.de)
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=qdvdauthor
+VERSION=${VERSION:-2.3.1}
+BUILD=${BUILD:-15}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-015.tar.gz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/masks.tar.bz2
+tar xvf $CWD/buttons.tar.bz2
+tar xvf $CWD/alpha_trans.tar.bz2
+tar xvf $CWD/ffmpeg-0.6.7.tar.bz2 -C $TMP/$PRGNAM-$VERSION/qrender
+cd qrender/ffmpeg-0.6.7
+./configure --prefix="`pwd`" --disable-yasm --enable-gpl --enable-static --enable-shared --libdir=lib --incdir=include
+make CFLAGS="-fPIC -Wno-error=implicit-function-declaration -I/usr/include/SDL"
+make install
+cd ..
+cd ..
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake . -DCMAKE_INSTALL_PREFIX=$PKG/usr
+
+make
+make install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Install masks, buttons and slideshow contents
+cp -a masks $PKG/usr/share/qdvdauthor
+cp -a buttons $PKG/usr/share/qdvdauthor
+cp -a slideshow $PKG/usr/share/qdvdauthor
+
+# Install icon
+mkdir -p $PKG/usr/share/pixmaps
+cp qdvdauthor.png $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/share/applications
+cp qdvdauthor.desktop $PKG/usr/share/applications
+
+rm -rf $PKG/usr/share/doc
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG COPYING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
+
diff --git a/multimedia/qdvdauthor/qdvdauthor.info b/multimedia/qdvdauthor/qdvdauthor.info
new file mode 100644
index 0000000000000..605856a63498e
--- /dev/null
+++ b/multimedia/qdvdauthor/qdvdauthor.info
@@ -0,0 +1,18 @@
+PRGNAM="qdvdauthor"
+VERSION="2.3.1"
+HOMEPAGE="https://sourceforge.net/projects/qdvd"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://sourceforge.net/projects/qdvd/files/qdvd-2.3.1-qt5/qdvdauthor-2.3.1-015.tar.gz \
+ https://qdvdauthor.sourceforge.net/data/masks.tar.bz2 \
+ https://qdvdauthor.sourceforge.net/data/buttons.tar.bz2 \
+ https://qdvdauthor.sourceforge.net/data/alpha_trans.tar.bz2 \
+ https://ffmpeg.org/releases/ffmpeg-0.6.7.tar.bz2"
+MD5SUM_x86_64="54508648383b0c3f120961ca7f8eda34 \
+ 1ed15c30ffaf344c97fdadfca390fc78 \
+ d6e546a256bddbcfaa068505b572b45c \
+ 0c6679e836f452c3b8bc14256fd7f460 \
+ 2afecd1ef31053ef077bdb2d6a7402ce"
+REQUIRES="vlc"
+MAINTAINER="Roland Suchan"
+EMAIL="snrd@arcor.de"
diff --git a/multimedia/qdvdauthor/slack-desc b/multimedia/qdvdauthor/slack-desc
new file mode 100644
index 0000000000000..4d9ff6738454c
--- /dev/null
+++ b/multimedia/qdvdauthor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qdvdauthor: qdvdauthor (DVD Authoring Suite)
+qdvdauthor:
+qdvdauthor: qdvdauthor is a complete solution for DVD authoring and creation
+qdvdauthor: of slide-show on DVD.
+qdvdauthor:
+qdvdauthor: Home Page: https://sourceforge.net/projects/qdvd
+qdvdauthor:
+qdvdauthor:
+qdvdauthor:
+qdvdauthor:
+qdvdauthor: